Cash
How to use Cash to submit a payin in Guatemala.
Last updated
{
"code": "10000",
"msg": "Success",
"trade_no": "2022010106532400030",
"out_trade_no": "202201010354008",
"web_url": "",
"pay_url": "https://checkoutv2.pagsmile.com/checkout?prepay_id=",
"trade_status": "PROCESSING",
"reference": "420167***92743"
}{
"code": "40002",
"msg": "Business Failed",
"sub_code": "duplicate-out_trade_no",
"sub_msg": "out_trade_no is duplicate"
}curl --location --request POST 'https://gateway-test.pagsmile.com/trade/pay' \
--header 'Authorization: Basic MTYyNTgyOTIxNDUzMTY2Mzg6UGFnc21pbGVfc2tfZDUwMWQ1ZGNkNTI5OGQ5N2MwNmUzYjI4YjA2OWZjZmY3NDU5ZjY2NzNiMjFjMTFlYTY3NDM5MDgzOTZkOTYxNQ==' \
--header 'Content-Type: application/json' \
--data-raw '{
* "app_id": "162************38",
* "out_trade_no": "202201010354008",
* "method": "Cash",
* "order_amount": "12.01",
* "order_currency": "GTQ",
* "subject": "trade pay test",
"content": "trade pay test conent",
* "notify_url": "http://merchant/callback/success",
* "buyer_id": "buyer_0101_0001",
* "timestamp": "2022-01-01 03:54:01",
* "customer" : {
* "name": "Test User Name",
* "email": "test@pagsmile.com"
}
}'